Subject: Re: bug#12260: [patch] rm -d in coreutils 8.19

From: Jim Meyering <[email-masked]>
Date: Thu, 23 Aug 2012 19:28:31 +0200

Pádraig Brady wrote:
> On 08/23/2012 12:17 PM, Robert Day wrote:
>> On 22 August 2012 23:23, Robert Day <[email-masked]> wrote:
>>
>>> I've attached a patch which fixes this bug and adds a test of that code
>>> path. The fixes can also be retrieved from
>>> https://github.com/rkd91/coreutils_rm_di_patch.
>>>
>>
>> I've made a couple of related fixes (comments/code niceness and adding a
>> NEWS item), so I've attached a new patch and updated my github.
>
> Thanks for handling that Robert.
> It's on the borderline for copyright assignment
> (which I don't think you have?).
> It's probably OK to waive in this case anyway.

I agree that it's borderline, but also that it's ok.

> I've not got time to fully squash/review your
> patches just now, but we'll add them in soon.

I'm going through it now, constructing a proper commit log, attributing
the reporter, fixing NEWS to avoid the minor syntax-check failure,
adjusting comment formatting, e.g.,

diff --git a/src/remove.c b/src/remove.c
index 06bc926..2dbb441 100644
--- a/src/remove.c
+++ b/src/remove.c
@@ -199,7 +199,6 @@ prompt (FTS const *fts, FTSENT const *ent, bool is_dir,
   else
     is_empty = false;

-
   /* When nonzero, this indicates that we failed to remove a child entry,
      either because the user declined an interactive prompt, or due to
      some other failure, like permissions.  */
@@ -249,8 +248,8 @@ prompt (FTS const *fts, FTSENT const *ent, bool is_dir,

           case DT_DIR:
              /* Unless we're either deleting directories or deleting
-              * recursively, we want to raise an EISDIR error rather than
-              * prompting the user  */
+                recursively, we want to raise an EISDIR error rather than
+                prompting the user  */
             if (!x->recursive
                 && !(x->remove_empty_directories && is_empty))
               {

I'll post for final review shortly.